Invalid command includeSubDomains

Dieses Thema im Forum "Installation und Konfiguration" wurde erstellt von tsaenger, 16. Aug. 2016.

  1. tsaenger

    tsaenger New Member

    Hallo zusammen,
    ich habe unter Jessie einen neuen Server mit ISPCONFIG eingerichtet.
    Nun bekomme ich folgende Fehlermelung:

    Code:
    Invalid command 'includeSubDomains;', perhaps misspelled or defined by a module not included in the server configuration
    Action 'configtest' failed.
    
    Ich wollte in einem Kunden hier nextcloud installieren und habe dazu http://cloudsurvivalguide.com/owncloud-ubuntu-ispconfig/ in den Apache Directives folgendes eingetragen:
    Code:
    Header always add Strict-Transport-Security "max-age=15768000;
    includeSubDomains; preload"
    
    Welches Modul fehlt denn hier?
    Vielen Dank.

    gruß
    Tobias
    P.S: Habe meine Frage auch bei Nextcloud mal gestellt, da ich nicht weiß wen es hier betrifft.
    https://help.nextcloud.com/t/nextcloud-ispconfig/2358
     
    Zuletzt bearbeitet: 16. Aug. 2016
  2. dexcom

    dexcom New Member

    bei mir sieht es in den Apache Directiven so aus:

    Code:
    <IfModule mod_headers.c>
          Header always set Strict-Transport-Security "max-age=15768000; includeSubDomains; preload"
        </IfModule>
    Das Web läuft bei mir mit "Fast-CGI" und "SuEXEC". Allerdings mit Owncloud 9.1 und nicht Nextcloud. Sollte aber keinen Unterschied machen. So weit sind die ja noch nicht auseinander.

    cu

    dexcom
     

Diese Seite empfehlen